O alta vulnerabilitate descoperita in Java

In cazul in care ati crezut (sau sperat) ca problemele de securitate ale Java s-au rezolvat odata cu ultimul update, lansat in urma cu o saptamana… nu va pierdeti speranta pentru urmatorul update. Zilele trecute s-a descoperit o noua vulnerabilitate care afecteaza toate versiunile Java 7, inclusiv update-ul cel mai recent al acesteia.

Ultima vulnerabilitate a fost descoperita in Reflection API si este prezenta atat in plugin-ul JRE, serverul JRE cat si in JDK. Din fericire, abilitatea noului exploit de a prelua controlul asupra sistemelor depinde de cat acces este permis de utilizatori.

Java_security-hole

The new flaw was verified to affect all versions of Java SE 7 (including the recently released 1.7.0_21-b11). It can be used to achieve a complete Java security sandbox bypass on a target system. Successful exploitation in a web browser scenario requires proper user interaction (a user needs to accept the risk of executing a potentially malicious Java application when a security warning window is displayed).

Din pacate Java continua sa fie exploatata de catre infractorii cibernetici din cauza faptului ca aceasta este instalata pe 1 din 2 computere (poate chiar la o rata mai mare), ocupand astfel un loc fruntas printre tintele atragatoare pentru hackeri. Iar Oracle a reusit sa-si creeze o reputatie destul de proasta in ultima vreme, datorita problemelor de securitate si a vulnerabilitatilor care tot apar, in ciuda update-urilor de securitate destul de dese.

In cazul in care obisnuiti sa utilizati Java (pentru diferite aplicatii instalate, sau pentru un numar de site-uri pe care obisnuiti sa le accesati si necesita Java pentru functionare), aveti mare grija la cum folositi acest program (se recomanda folosirea unui browser separat pentru a accesa site-urile care folosesc Java, si dezactivarea plugin-urilor Java pentru celelalte browsere; de asemenea, nu strica sa aveti instalat un antivirus bun pe sistem). Daca nu aveti insa nevoie de Java sau puteti sa va lipsiti de acesta, se recomanda dezinstalarea acesteia din sistem (Control Panel > Uninstall a program).

STEALTH SETTINGS – Another vulnerability found in Java

O alta vulnerabilitate descoperita in Java

About the author

Stealth

Pasionat de tot ce inseamna gadget si IT, scriu cu placere pe stealthsettings.com din 2006 si imi place sa descopar alaturi de voi lucruri noi despre calculatoare si sistemele de operare macOS, Linux, Windows, iOS si Android.

Leave a Comment

This site uses Akismet to reduce spam. Learn how your comment data is processed.